public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/dogtail/, dev-util/dogtail/files/
Date: Fri, 11 Aug 2017 23:22:14 +0000 (UTC)	[thread overview]
Message-ID: <1502493715.cf02cf1c8b38c473be016ac8ea4ed17d902c3d1d.eva@gentoo> (raw)

commit:     cf02cf1c8b38c473be016ac8ea4ed17d902c3d1d
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 11 23:03:51 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Fri Aug 11 23:21:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf02cf1c

dev-util/dogtail: version bump 0.9.9 → 0.9.10

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-util/dogtail/Manifest                          |  1 +
 dev-util/dogtail/dogtail-0.9.10.ebuild             | 61 ++++++++++++++++++++
 .../files/dogtail-0.9.10-gentoo-paths.patch        | 67 ++++++++++++++++++++++
 3 files changed, 129 insertions(+)

diff --git a/dev-util/dogtail/Manifest b/dev-util/dogtail/Manifest
index 199f3a6c5bd..2a2c776316b 100644
--- a/dev-util/dogtail/Manifest
+++ b/dev-util/dogtail/Manifest
@@ -1,2 +1,3 @@
 DIST dogtail-0.9.0.tar.gz 119882 SHA256 564dae5fba4fa3a7f6d53503e0877dad56ae8bce10e181d3d2c0bdbf063f4e36 SHA512 cf2956fad923f0f325f5dc3cd8f5a575491f6c455e2fa597b034b09e1579054b84b6ae80b67cbbe161c012c0de48457f872cfe27a5e0274447d32e21e4a8360d WHIRLPOOL 771606a4bc3d59bd75df85ab9ef3dd8bd4e28161e13fc792bb4108f7b058db18f42c1174499b90d3c307c3302e254278aecf94e03ff894222bc7f12021611c1f
+DIST dogtail-0.9.10.tar.gz 125995 SHA256 ab84f9e691fea621a178d89e8cbd00830dd2bcbd945f48b91b122a445b645e93 SHA512 08ce4ad6e5e492ab04be9964cc6583d96d2d8a707a49721c1bca9248e5c56702fe5d0d84dd992023f731fe87016c88e21929319baff561aa113c6e101343fc3e WHIRLPOOL a3f973ad621ce79d57e460bc00591414ce804a0c61295982ab882ebf4f29f57cbe10d39b819b2c7cc4ddb2455109dfd1ee4ca5fed5c1c30222294f04e9345fa9
 DIST dogtail-0.9.9.tar.gz 123884 SHA256 5d94620bac19b23606d3ecb28e85628c5ceb505beb530af7023ce5bfb576bc5c SHA512 5283dea40b8193e7380aeebab6c7ad149c232ac3d7360df477bed0e623bacc79fc895694d2aff788dd5f986591c1460c447428d8c2acf25ba240946323eabef8 WHIRLPOOL 4d855893e9da54bca09260729f3dc551e973a47a0ef9db31507c071e0014bb70d809aebb50bb47355c9b536f499f912e6b75846a2fe98f3ed8a2a8df20f43a5f

diff --git a/dev-util/dogtail/dogtail-0.9.10.ebuild b/dev-util/dogtail/dogtail-0.9.10.ebuild
new file mode 100644
index 00000000000..a02cbee7daa
--- /dev/null
+++ b/dev-util/dogtail/dogtail-0.9.10.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1 gnome2-utils xdg
+
+DESCRIPTION="GUI test tool and automation framework using accessibility framework"
+HOMEPAGE="https://gitlab.com/dogtail/dogtail/commits/master"
+SRC_URI="https://gitlab.com/${PN}/${PN}/raw/released/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-libs/gobject-introspection
+	dev-python/pyatspi[${PYTHON_USEDEP}]
+	dev-python/pycairo[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	x11-libs/gdk-pixbuf:2[introspection]
+	x11-libs/gtk+:3[introspection]
+	x11-libs/libwnck:3[introspection]
+	x11-base/xorg-server[xvfb]
+	x11-apps/xinit
+"
+DEPEND="${DEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+	# Install docs in one place
+	sed "s:doc/${PN}:doc/${PF}:" -i setup.py || die
+
+	# Upstream loads resources relative to __file__, which doesn't work with
+	# gentoo's dev-lang/python-exec. So we need to add hard-coded paths.
+	eapply "${FILESDIR}"/${PN}-0.9.10-gentoo-paths.patch
+	sed -e "s:@EPREFIX_USR@:'${EPREFIX}/usr':" -i sniff/sniff || die "sed failed"
+
+	xdg_src_prepare
+	distutils-r1_src_prepare
+}
+
+pkg_preinst() {
+	xdg_pkg_preinst
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_icon_cache_update
+}

diff --git a/dev-util/dogtail/files/dogtail-0.9.10-gentoo-paths.patch b/dev-util/dogtail/files/dogtail-0.9.10-gentoo-paths.patch
new file mode 100644
index 00000000000..89d2be2c725
--- /dev/null
+++ b/dev-util/dogtail/files/dogtail-0.9.10-gentoo-paths.patch
@@ -0,0 +1,67 @@
+From d0dd6c6adb4edcd5147c42af14cd1016a67e84bd Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <eva@gentoo.org>
+Date: Sat, 12 Aug 2017 00:59:44 +0200
+Subject: [PATCH] Load resources from well-known location
+
+Using __file__ does not work with Gentoo's dev-python/python-exec
+wrapping. Better use hard-coded paths.
+
+Also adds support for prefix.
+---
+ sniff/sniff | 29 +++++++++--------------------
+ 1 file changed, 9 insertions(+), 20 deletions(-)
+
+diff --git a/sniff/sniff b/sniff/sniff
+index 7ce67c7..84f7022 100755
+--- a/sniff/sniff
++++ b/sniff/sniff
+@@ -47,25 +47,18 @@ class SniffApp(object):
+         if os.path.exists('sniff.ui'):
+             self.builder.add_from_file('sniff.ui')
+         else:
+-            import os
+-            path = os.path.abspath(
+-                os.path.join(__file__, os.path.pardir, os.path.pardir))
+-            if path == '/':  # in case the path is /bin/sniff
+-                path = '/usr'
+-            self.builder.add_from_file(path + '/share/dogtail/glade/sniff.ui')
++            self.builder.add_from_file(os.path.join(
++                @EPREFIX_USR@,
++                'share/dogtail/glade/sniff.ui')
++            )
+         self.app = self.builder.get_object(self.appName)
+         try:
+             self.app.set_icon_from_file('../icons/dogtail-head.svg')
+         except Exception:
+-            import os
+-            path = os.path.abspath(
+-                os.path.join(__file__, os.path.pardir, os.path.pardir))
+-            if path is '/':
+-                path = '/usr'
+-            try:
+-                self.app.set_icon_from_file(os.path.join(path, 'share/icons/hicolor/scalable/apps/dogtail-head.svg'))
+-            except Exception: # fallback for wierd installations, when sniff is neither in /bin or /usr/bin
+-                self.app.set_icon_from_file('/usr/share/icons/hicolor/scalable/apps/dogtail-head.svg')
++            self.app.set_icon_from_file(os.path.join(
++                @EPREFIX_USR@,
++                'share/icons/hicolor/scalable/apps/dogtail-head.svg')
++            )
+         self.setUpWidgets()
+         self.connectSignals()
+         self.app.show_all()
+@@ -656,11 +649,7 @@ def loadIcon(iconName):
+         pixbuf = GdkPixbuf.Pixbuf.new_from_file('icons/' + iconName)
+     except GObject.GError:
+         import os
+-        path = os.path.abspath(
+-            os.path.join(__file__, os.path.pardir, os.path.pardir))
+-        if path == '/':
+-                path = '/usr'
+-        iconName = os.path.join(path, 'share/dogtail/icons/', iconName)
++        iconName = os.path.join(@EPREFIX_USR@, 'share/dogtail/icons/', iconName)
+         pixbuf = GdkPixbuf.Pixbuf.new_from_file(iconName)
+     return pixbuf
+ 
+-- 
+2.14.0
+


             reply	other threads:[~2017-08-11 23:22 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-11 23:22 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-03-05 21:50 [gentoo-commits] repo/gentoo:master commit in: dev-util/dogtail/, dev-util/dogtail/files/ Gilles Dartiguelongue

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1502493715.cf02cf1c8b38c473be016ac8ea4ed17d902c3d1d.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox